dnl Zebra, Index Data Aps, 1995-2003
-dnl $Id: configure.in,v 1.80 2003-06-12 18:20:33 adam Exp $
+dnl $Id: configure.in,v 1.81 2003-07-04 14:25:51 heikki Exp $
dnl
AC_INIT(include/zebraver.h)
AM_INIT_AUTOMAKE(idzebra,1.3.12)
test/Makefile test/gils/Makefile test/usmarc/Makefile test/api/Makefile
test/rusmarc/Makefile test/cddb/Makefile
perl/Makefile.PL test/xelm/Makefile
- test/dmoz/Makefile test/xpath/Makefile test/sort/Makefile
+ test/dmoz/Makefile test/xpath/Makefile test/sort/Makefile test/zsh/Makefile
examples/Makefile examples/gils/Makefile examples/zthes/Makefile
idzebra.spec
])
-/* $Id: zebrash.c,v 1.17 2003-07-04 14:00:22 heikki Exp $
+/* $Id: zebrash.c,v 1.18 2003-07-04 14:25:51 heikki Exp $
Copyright (C) 2002,2003
Index Data Aps
int cmd_quit( char *args[], WRBUF outbuff)
{
+ if (zs)
+ {
+ onecommand("zebra_close",outbuff,"");
+ zs=0;
+ }
+ if (zh)
+ {
+ onecommand("zebra_stop",outbuff,"");
+ zh=0;
+ }
wrbuf_puts(outbuff, "bye");
return -99; /* special stop signal */
}
}
nextrecno=start+nrecs+1;
}
+ odr_destroy(odr);
return rc;
}
/**************************************)
Zerrors(outbuff);
printf("%s\n", wrbuf_buf(outbuff));
} /* while */
+ wrbuf_free(outbuff,1);
} /* shell() */
-SUBDIRS=api gils usmarc dmoz xpath sort xelm cddb rusmarc
+SUBDIRS=api gils usmarc dmoz xpath sort xelm cddb rusmarc zsh
--- /dev/null
+# $Id: Makefile.am,v 1.1 2003-07-04 14:25:51 heikki Exp $
+
+#dist-hook:
+# -mkdir $(distdir)/records
+# cp $(srcdir)/records/*.grs $(distdir)/records
+
+
+check_SCRIPTS = testall.sh
+
+TESTS = testall.sh
+
+EXTRA_DIST = test1.zsh zebra.cfg
+
--- /dev/null
+#!/bin/sh
+# run all zebrash tests
+mkdir -p reg
+rm -f *.mf reg/*.mf *.out
+
+for F in *.zsh
+do
+ echo $F
+ ../../index/zebrash <$F >$F.out
+ RC=$?
+ if [ "$RC" -gt "0" ]
+ then
+ echo "$F failed with exit code $RC"
+ FINAL=$RC
+ fi
+done
+if [ "$FINAL" ]
+then
+ echo "Tests FAILED"
+ exit 9
+fi
+echo OK
+exit 0